commit: a9ad2d4fef778e1d5f27d959af868087d8c9a3b6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 18 02:03:24 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 02:16:27 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9ad2d4f
dev-python/elementpath: Bump to 4.1.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/elementpath/Manifest | 1 +
dev-python/elementpath/elementpath-4.1.3.ebuild | 34 +++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/elementpath/Manifest b/dev-python/elementpath/Manifest
index 64f1960a134b..031203876ca5 100644
--- a/dev-python/elementpath/Manifest
+++ b/dev-python/elementpath/Manifest
@@ -1 +1,2 @@
DIST elementpath-4.1.2.tar.gz 320962 BLAKE2B
39ad80033022119159bcc89e6ea06f23de7d6c0cfca7e63f64ac01fa0e4c36a8d3091cc57efdfc7d5efb735ee058d2ed25abd15ae5297b65a8efdfe4413e4ffc
SHA512
f6ab5905986fab88398e9a3774460069f610234126649299228f86020bee48f3d98be90434a4f662b371ef0051e80147df0a0f323e7095fedcab8567237c2c00
+DIST elementpath-4.1.3.tar.gz 321288 BLAKE2B
70293e5c700b8dde03ad9bcc065daf428289ba08565d5ec0e5df316cbf35b1d40a1216a651d4e41a5c576681e2955d6c298935cb22aa4ed929ffb530e8281216
SHA512
8acd421694cc44ccd70dacb385ca0b9feaac810f4eb9cd79bacc515b92c6b3c11e78c6a077eca4393965ccd112560f62b9666a02dbf79841dd1f4fc54cb04322
diff --git a/dev-python/elementpath/elementpath-4.1.3.ebuild
b/dev-python/elementpath/elementpath-4.1.3.ebuild
new file mode 100644
index 000000000000..5a131dfbbd75
--- /dev/null
+++ b/dev-python/elementpath/elementpath-4.1.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+HOMEPAGE="
+ https://github.com/sissaschool/elementpath/
+ https://pypi.org/project/elementpath/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails for some reason, more fit for upstream testing anyway
+ rm tests/test_typing.py || die
+ distutils-r1_src_prepare
+}